<div class="wrapper">
	<FruitBasketSpreadsheet/>
	<FruitBasketBarChart/>
	<FruitBasketPieChart/>
</div>

<script>
import FruitBasketSpreadsheet from './components/FruitBasketSpreadsheet.svelte'
import FruitBasketBarChart from './components/FruitBasketBarChart.svelte'
import FruitBasketPieChart from './components/FruitBasketPieChart.svelte'
import {fruitBasketService} from './services/FruitBasketService'

const {fruitBasketOptions, selectedFruitBasket} = fruitBasketService
$: console.log(`Fruit Basket Options updated: ${JSON.stringify($fruitBasketOptions, null, 2)}`)
$: console.log(`Selected Fruit Basket updated: ${JSON.stringify($selectedFruitBasket, null, 2)}`)
</script>

<style lang="scss">
@import "./styles/_variables.scss";
.wrapper {
	align-items: center;
	display: flex;
	height: 100%;
	justify-content: space-evenly;
}

:global(*) {
	margin: 0;
	padding: 0;
}

:global(html) {
	font-family: Helvetica, sans-serif;
	font-size: 16px;
	height: 100%;
}

:global(body) {
	background-color: $off-white;
	color: $black;
	height: 100%;
	line-height: 1.25;
}
</style>